Bug 1101577 - (CVE-2018-14355) VUL-0: CVE-2018-14355: mutt,neomutt: imap/util.c mishandles ".." directory traversal in a mailbox name.
(CVE-2018-14355)
VUL-0: CVE-2018-14355: mutt,neomutt: imap/util.c mishandles ".." directory tr...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/210786/
CVSSv3:SUSE:CVE-2018-14355:5.4:(AV:N/...
:
Depends on:
Blocks: 1101428
  Show dependency treegraph
 
Reported: 2018-07-18 07:26 UTC by Karol Babioch
Modified: 2019-05-09 10:10 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-07-18 07:26:54 UTC
CVE-2018-14355

An issue was discovered in Mutt before 1.10.1 and NeoMutt before 2018-07-16.
imap/util.c mishandles ".." directory traversal in a mailbox name.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-14355
https://github.com/neomutt/neomutt/commit/57971dba06346b2d7179294f4528b8d4427a7c5d
https://gitlab.com/muttmua/mutt/commit/31eef6c766f47df8281942d19f76e35f475c781d
Comment 1 Swamp Workflow Management 2018-07-18 08:50:38 UTC
This is an autogenerated message for OBS integration:
This bug (1101577) was mentioned in
https://build.opensuse.org/request/show/623577 Factory / mutt
Comment 5 Karol Babioch 2018-07-19 09:53:39 UTC
Seems like the SLE10 codestream is not affected by this, only:


- SUSE:SLE-11:Update
- SUSE:SLE-12:Update
- SUSE:SLE-15:Update
Comment 9 Swamp Workflow Management 2018-07-27 16:27:36 UTC
SUSE-SU-2018:2084-1: An update that solves 16 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    mutt-1.10.1-55.3.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    mutt-1.10.1-55.3.1
Comment 10 Swamp Workflow Management 2018-07-27 16:46:01 UTC
SUSE-SU-2018:2085-1: An update that solves 16 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Module for Basesystem 15 (src):    mutt-1.10.1-3.3.4
Comment 11 Swamp Workflow Management 2018-08-06 13:15:23 UTC
openSUSE-SU-2018:2212-1: An update that solves 16 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 15.0 (src):    mutt-1.10.1-lp150.2.3.1
Comment 12 Swamp Workflow Management 2018-08-17 10:19:09 UTC
SUSE-SU-2018:2403-1: An update that solves 11 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1101567,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101588,1101589,936807
CVE References: CVE-2018-14349,CVE-2018-14350,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14362
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    mutt-1.5.17-42.43.1
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    mutt-1.5.17-42.43.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    mutt-1.5.17-42.43.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    mutt-1.5.17-42.43.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    mutt-1.5.17-42.43.1
Comment 13 Swamp Workflow Management 2019-01-07 15:41:13 UTC
This is an autogenerated message for OBS integration:
This bug (1101577) was mentioned in
https://build.opensuse.org/request/show/663361 42.3 / mutt
Comment 14 Swamp Workflow Management 2019-01-17 17:12:27 UTC
openSUSE-SU-2019:0052-1: An update that solves 16 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,1120935,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 42.3 (src):    mutt-1.10.1-2.5.1
Comment 15 Marcus Meissner 2019-01-18 14:21:38 UTC
released
Comment 16 Swamp Workflow Management 2019-05-09 10:10:33 UTC
SUSE-SU-2019:1196-1: An update that solves 16 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    mutt-1.10.1-55.6.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    mutt-1.10.1-55.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.